# Handle line endings automatically for files detected as text
# and leave all files detected as binary untouched.
* text=auto

#
# The above will handle all files NOT found below
#
# These files are text and should be normalized (Convert crlf => lf)
*.cl            text
*.classpath     text
*.css           text
*.csv           text
*.df            text
*.fxbuild       text
*.fxml          text
*.gml           text
*.htm           text
*.html          text
*.insel         text
*.java          text diff=java
*.js            text
*.json          text
*.jsp           text
*.jspf          text
*.jspx          text
*.kml           text
*.prn           text
*.project       text
*.properties    text
*.sh            text
*.tld           text
*.txt           text
*.tag           text
*.tagx          text
*.xml           text
*.xsd           text
*.xsl           text
*.yml           text

# These files are binary and should be left untouched
# (binary is a macro for -text -diff)
*.class         binary
*.dll           binary
*.ear           binary
*.gif           binary
*.ico           binary
*.jar           binary
*.jpg           binary
*.jpeg          binary
*.pdf           binary diff=astextplain
*.png           binary
*.rtf           binary diff=astextplain
*.so            binary
*.tiff          binary
*.tmy3          binary
*.xslsx         binary
*.war           binary
